.revamp-nav {

  .modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.4);
    align-items: center;
    justify-content: center;
    z-index: var(--zindex-modal);
    opacity: 0;
    visibility: hidden;
    display: none;
  }

  .modal-overlay.active {
    opacity: 1;
    visibility: visible;
    display: flex;
  }

  .custom-modal {
    position: relative;
    width: 90%;
    max-width: 703px;
    background: var(--color-white);
    border-radius: 12px;

    [data-modal-close] {
      position: absolute;
      top: .5rem;
      right: .5rem;
      z-index: 1;
    }
  }

  .modal-overlay.active .custom-modal {
    animation: accordion-expand .25s forwards;
  }

  .modal-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 2.5rem 2.5rem 0;
    z-index: 1;
    flex-shrink: 0;
  }

  .modal-title {}

  .modal-content {
    padding: 0 2.5rem;
    margin-bottom: 1rem;
    max-height: calc(100vh - 100px);
    overflow-y: auto;
    position: relative;
  }

  /* Drawer*/
  .drawer-overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.4);
    z-index: var(--zindex-drawer);
    opacity: 0;
    visibility: hidden;
    display: none;
  }

  .drawer-overlay.active {
    opacity: 1;
    visibility: visible;
    display: flex;
  }

  .drawer {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background: white;
    border-radius: 16px 16px 0 0;
    max-height: 85dvh;
    display: flex;
    flex-direction: column;
  }

  .drawer-overlay.active .drawer {
    animation: drawer-open 0.25s forwards;
  }

  .drawer-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 16px 16px 0;
    flex-shrink: 0;
  }

  .drawer-title {
    margin: 0;
  }

  .drawer-close {
    background: none;
    border: none;
    cursor: pointer;
    padding: 8px;
    color: #666;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    transition: background-color 0.2s;
  }

  .drawer-close:active {
    background-color: #f5f5f5;
  }

  .drawer-close svg {
    width: 24px;
    height: 24px;
  }

  .drawer-content {
    padding: 8px 16px;
    overflow-y: auto;
    flex: 1;
    gap: 1rem;
  }

  .drawer-item {
    display: block;
    padding: .75rem;
    color: var(--color-black);
    font-weight: 700;
    border-radius: .75rem;
    text-decoration: none;
    transition: background-color 0.15s;

    &:hover,
    &:focus-visible,
    &.current-segment {
      font-weight: 700;
      background-color: var(--color-gray-200);
      color: var(--color-black);
    }
  }
}
